Trying to build for FC-22

The place to discuss linux version of MakeMKV
Post Reply
mgscott
Posts: 8
Joined: Sat Sep 22, 2012 11:05 pm

Trying to build for FC-22

Post by mgscott » Thu Oct 01, 2015 12:00 am

I have the version (1.9.5) that comes from the Fedora repo, but I have a BD telling me to use a newer version.
I have downloaded 1.9.6 and am trying to build, but missing some dependencies.
I have found most, but oss configure is complaining:

configure: error: No package 'libavcodec' found
No package 'libavutil' found.

I have tried every permutation in dnf for libav*, but no joy.
Can someone tell me what it is looking for (possibly what else I may trip over once I have it)?

Woodstock
Posts: 6433
Joined: Sun Jul 24, 2011 11:21 pm

Re: Trying to build for FC-22

Post by Woodstock » Thu Oct 01, 2015 3:12 pm

I think libavcodec is part of ffmpeg-devel
How to aid in finding the answer to your problem: https://www.makemkv.com/faq/item/8

mgscott
Posts: 8
Joined: Sat Sep 22, 2012 11:05 pm

Re: Trying to build for FC-22

Post by mgscott » Thu Oct 01, 2015 10:20 pm

Thanks, that cleared that issue, now it is complaining about:
configure: error: Qt library (version 5 or 4) is required to build GUI

However, may be moot as I ran dnf update and it looks like it is installing the later version of makemkv.
Funny, the GUI update showed now updates available.

Post Reply